Fetch client accounting configuration
curl --request GET \
--url https://sandbox.layerfi.com/v1/configure/{clientId}/accounting \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/configure/{clientId}/accounting"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/configure/{clientId}/accounting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "com.layerfi.routers.ApiAccountingConfiguration",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closing_date": "2023-11-07T05:31:56Z",
"match_rounding_threshold": 123,
"match_adjustment_threshold": 0.1,
"disable_adjustment_match_suggestions": true
}
}{
"description": "<string>",
"meta": {}
}Accounting
Fetch client accounting configuration
Returns the accounting configuration for the specified client. This includes settings such as the default reporting basis and books closure information at the client level.
GET
/
v1
/
configure
/
{clientId}
/
accounting
Fetch client accounting configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the client to fetch the accounting configuration for.
Response
Show child attributes
Show child attributes
⌘I